> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# メールボックスエイリアスを作成

> 顧客メールボックスのエイリアスを作成します。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json POST /v1/public/accounts/{account_id}/mailboxes/{mailbox}/aliases
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/mailboxes/{mailbox}/aliases:
    post:
      tags:
        - public-accounts
        - public-mailboxes
      summary: メールボックスエイリアスを作成
      description: 顧客メールボックスのエイリアスを作成します。
      operationId: >-
        create_public_mailbox_alias_v1_public_accounts__account_id__mailboxes__mailbox__aliases_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: mailbox
          required: true
          schema:
            title: Mailbox
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MailboxAliasCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxAliasDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    MailboxAliasCreateRequest:
      additionalProperties: false
      description: メールボックスエイリアス作成の要求本文。
      properties:
        alias:
          title: エイリアス
          type: string
        is_catch_all:
          default: false
          title: catch-allかどうか
          type: boolean
      required:
        - alias
      title: メールボックスAliasCreateリクエスト
      type: object
    MailboxAliasDTO:
      properties:
        alias:
          description: メールボックスのエイリアスメールアドレス
          title: エイリアス
          type: string
        is_catch_all:
          default: false
          description: このエイリアスが一致しないローカル部分をすべてキャッチするかどうか
          title: catch-allかどうか
          type: boolean
      required:
        - alias
      title: メールボックスAliasDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````